現在のランタイムターゲットフレームワークはプロジェクトと互換性がありません

asp.net-core entity-framework-core

質問

Asp.Net 5プロジェクトにEntity Framework 7を追加した後、初期移行を実行しようとしています。私はこの文書に従っています

私のproject.jsonでは以下を指定しました:

  "commands": {
    "web": "Microsoft.AspNet.Server.Kestrel",
    "ef": "EntityFramework.Commands"
  },

  "frameworks": {
    "dnxcore50": { }
  }

コマンドプロンプトを使用してプロジェクトディレクトリで次のコマンドを実行しようとしています。

dnx ef migrations add MyFirstMigration

しかし、私は次のエラーが発生します:

System.InvalidOperationException:現在のランタイムターゲットフレームワークがProjectNameと互換性がありません。現在のランタイムターゲットフレームワーク: 'DNX、Version = v 4.5.1(dnx451)ランタイムがproject.jsonで指定されたフレームワークと一致していることを確認してください。

奇妙なことは、私のproject.jsonが確実にdnxcore50をターゲットにしていることdnxcore50 。私もglobal.jsonチェックしました:

{
  "projects": [ "src", "test" ],
  "sdk": {
    "version": "1.0.0-beta8",
    "architecture": "x86",
    "runtime": "coreclr"
  }
}

私のパッケージの依存関係はすべて、ベータ8を参照しています:

  "dependencies": {
    "EntityFramework.Commands": "7.0.0-beta8",
    "EntityFramework.Core": "7.0.0-beta8",
    "EntityFramework.SqlServer": "7.0.0-beta8",
    "Hl7.Fhir.DSTU2": "0.90.2",
    "Microsoft.AspNet.Authentication.Cookies": "1.0.0-beta8",
    "Microsoft.AspNet.Authentication.OpenIdConnect": "1.0.0-beta8",
    "Microsoft.AspNet.Diagnostics": "1.0.0-beta8",
    "Microsoft.AspNet.IISPlatformHandler": "1.0.0-beta8",
    "Microsoft.AspNet.Mvc": "6.0.0-beta8",
    "Microsoft.AspNet.Mvc.TagHelpers": "6.0.0-beta8",
    "Microsoft.AspNet.Server.Kestrel": "1.0.0-beta8",
    "Microsoft.AspNet.StaticFiles": "1.0.0-beta8",
    "Microsoft.AspNet.Tooling.Razor": "1.0.0-beta8",
    "Microsoft.Dnx.Runtime": "1.0.0-beta8",
    "Microsoft.Framework.Configuration.Json": "1.0.0-beta8",
    "Microsoft.Framework.Configuration.UserSecrets": "1.0.0-beta8",
    "Microsoft.Framework.Logging": "1.0.0-beta8",
    "Microsoft.Framework.Logging.Console": "1.0.0-beta8",
    "Microsoft.Framework.Logging.Debug": "1.0.0-beta8",
    "Microsoft.VisualStudio.Web.BrowserLink.Loader": "14.0.0-beta8"
  }

受け入れられた回答

プロジェクトでサポートされているフレームワークにdnx451を追加するか、.NET Coreバージョンに切り替える必要があります。

  "frameworks": {
    "dnxcore50": { },
    "dnx451": { }
  }

または:

dnvm install latest -r coreclr

または

dnvm use default -r coreclr



Related

ライセンスを受けた: CC-BY-SA with attribution
所属していない Stack Overflow
このKBは合法ですか? はい、理由を学ぶ
ライセンスを受けた: CC-BY-SA with attribution
所属していない Stack Overflow
このKBは合法ですか? はい、理由を学ぶ